List contacts
curl --request GET \
--url https://api.algosmiths.com/api/v1/contacts/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algosmiths.com/api/v1/contacts/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algosmiths.com/api/v1/contacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"receiver_id": "<string>",
"phone": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"ctwa_clid": "<string>",
"ctwa_source_id": "<string>",
"ctwa_source_url": "<string>",
"ctwa_headline": "<string>",
"ctwa_referral_at": "2023-11-07T05:31:56Z"
}
]
}Contacts
List contacts
GET
/
api
/
v1
/
contacts
/
List contacts
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Query Parameters
Matches phone, name, email, or company
⌘I

